Package com.independentsoft.office.odf.drawing

# Enum Class ConnectorType

java.lang.Object
java.lang.Enum<ConnectorType>
com.independentsoft.office.odf.drawing.ConnectorType

All Implemented Interfaces:
  `Serializable`, `Comparable<ConnectorType>`, `Constable`

public enum ConnectorType extends Enum<ConnectorType>
Represents a connecting line between two escape points.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CURVE`
  A curve connector draws a single curved line between the two escape points of connected objects.
  `LINE`
  A line connector draws one straight line between the two escape points of connected objects.
  `LINES`
  A lines connector escapes two connecting objects with straight lines and connects them with a straight (not necessarily perpendicular) line.
  `NONE`
  None
  `STANDARD`
  A standard connector escapes two connecting objects with straight lines and connects them with a straight perpendicular line.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConnectorType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ConnectorType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### STANDARD

    public static final ConnectorType STANDARD
    A standard connector escapes two connecting objects with straight lines and connects them with a straight perpendicular line.

  - ### LINES

    public static final ConnectorType LINES
    A lines connector escapes two connecting objects with straight lines and connects them with a straight (not necessarily perpendicular) line.

  - ### LINE

    public static final ConnectorType LINE
    A line connector draws one straight line between the two escape points of connected objects.

  - ### CURVE

    public static final ConnectorType CURVE
    A curve connector draws a single curved line between the two escape points of connected objects.

  - ### NONE

    public static final ConnectorType NONE
    None

- ## Method Details

  - ### values

    public static ConnectorType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ConnectorType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null